Skip to main content
GET
/
v1
/
webhook-subscriptions
List webhook subscriptions
curl --request GET \
  --url https://agents.assemblyai.com/v1/webhook-subscriptions \
  --header 'Authorization: <api-key>'
{
  "subscriptions": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "url": "<string>",
      "events": [],
      "enabled": true,
      "secret_version": 1,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "response_metadata": {
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your AssemblyAI API key in the Authorization header (raw key; a Bearer prefix is also accepted).

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string

Response

A page of subscriptions.

subscriptions
object[]
has_more
boolean
response_metadata
object